com.unitech.lib.reader.types

## Enum KeyFunction

- java.lang.Object
- - java.lang.Enum<KeyFunction>
  - - com.unitech.lib.reader.types.KeyFunction

- All Implemented Interfaces:
    Serializable, Comparable<KeyFunction>

      public enum KeyFunction
      extends Enum<KeyFunction>

  The KeyFunction enum represents the various functions that can be assigned to a key. It provides methods to get the code and name of each function, and to retrieve functions by code or name.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Disabled`
    `RFIDInventory`
    `ScannerScan`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeyFunction` | `fromValue(int code)` Returns the enum constant of this type with the specified code.
    `int` | `getCode()`
    `String` | `toString()`
    `static KeyFunction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KeyFunction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Disabled

          public static final KeyFunction Disabled

    - #### ScannerScan

          public static final KeyFunction ScannerScan

    - #### RFIDInventory

          public static final KeyFunction RFIDInventory

  - ### Method Detail

    - #### values

          public static KeyFunction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyFunction c : KeyFunction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyFunction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<KeyFunction>`

    - #### fromValue

          public static KeyFunction fromValue(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code